Bug 60470 - (SCSI DC395)playback loops like a stuck record when checking for SCSI scanners
(SCSI DC395)playback loops like a stuck record when checking for SCSI scanners
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2002-02-27 19:25 EST by Tethys
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-09 03:27:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tethys 2002-02-27 19:25:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20011221

Description of problem:
Bizarre one, this. If you check for scanners with "scanimage -L"
when xmms is playing a track, it'll repeat a short loop like a
stuck record while scanimage checks for SCSI devices. Oddly enough,
all scanimage is doing at this point is parsing /proc/scsi/scsi.
If it was actually scanning the SCSI bus, then I might have expected
a dropout or something, but not a loop like this. The only thing I
can think of is that xmms is reading into a ring buffer which is not
being populated quickly enough to keep up with playback (although
I haven't checked the source, so I could be wildly off base here).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Play a track
2. Run scanimage -L

Actual Results:  Playback loops briefly

Expected Results:  Playback should be unaffected by scanimage

Additional info:

This is a problem when playing both oggs and mp3s. It also only
occurs when there's a valid scanner detected. If no devices are
found, playback in unaffected
Comment 1 Bill Nottingham 2002-03-04 14:28:23 EST
What sound driver?
Comment 2 Tethys 2002-03-14 14:36:32 EST
xmms output plugin: OSS Driver 1.2.5
kernel driver: es1371

lspci gives:

00:12.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 08)
        Subsystem: Ensoniq Creative Sound Blaster AudioPCI64V, AudioPCI128
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort+
<MAbort+ >SERR- <PERR-
        Latency: 64 (3000ns min, 32000ns max)
        Interrupt: pin A routed to IRQ 12
        Region 0: I/O ports at da00 [size=64]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2+ AuxCurrent=0mA
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 3 Alan Cox 2003-06-07 21:47:02 EDT
It is indeed a ring buffer, and some of the old isa scsi cards burn enough cpu
to cause this
Comment 4 Tethys 2003-06-08 12:29:05 EDT
Is it *only* ISA cards that do that? I'm using a PCI card (a Tekram DC395x).
Admittedly, it's getting on a bit now, but still...

More to the point, since it's only parsing /proc/scsi/scsi, which should
already be in memory, why should the card itself have any bearing on it?
Comment 5 Alan Cox 2003-06-08 13:07:11 EDT
Thats very strange then. This happens typically with the cheap 8bit controllers
that come with scanners. The /proc code does talk to the controller and use CPU,
but on the 395 this should not be a factor at all
Comment 6 Tethys 2003-06-09 03:27:06 EDT
Of course, it's now working perfectly for me. D'oh! I see that when
I originally logged the bug, I was running RH7.2. I'm running RH8
now, and can't reproduce the problem. I'm guessing that something
changed in either the kernel or xmms between versions that fixed
Comment 7 Alan Cox 2003-06-09 07:33:11 EDT
That makes both of us happy 8)

Note You need to log in before you can comment on or make changes to this bug.